UpdateFinding - AWS Security Agent

UpdateFinding

Updates the status or risk level of a security finding.

Request Syntax

POST /UpdateFinding HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "findingId": "string", "riskLevel": "string", "status": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the finding.

Type: String

Required: Yes

findingId

The unique identifier of the finding to update.

Type: String

Required: Yes

riskLevel

The updated risk level for the finding.

Type: String

Valid Values: UNKNOWN | INFORMATIONAL | LOW | MEDIUM | HIGH | CRITICAL

Required: No

status

The updated status for the finding.

Type: String

Valid Values: ACTIVE | RESOLVED | ACCEPTED | FALSE_POSITIVE

Required: No

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: